> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a batch of subscription measurement.

> Add a batch of subscription measurement. This could be a quantity changes, or a metered usages.



## OpenAPI

````yaml post /subscription-measurements/batch
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /subscription-measurements/batch:
    parameters: []
    post:
      tags:
        - Subscription Measurement
      summary: Add a batch of subscription measurement.
      description: >-
        Add a batch of subscription measurement. This could be a quantity
        changes, or a metered usages.
      operationId: addBatchSubscriptionMeasurements
      parameters: []
      requestBody:
        description: The new MeasurementValue resource
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MeasurementValue.AddMeasurementValues'
          text/html:
            schema:
              $ref: '#/components/schemas/MeasurementValue.AddMeasurementValues'
        required: true
      responses:
        '204':
          description: MeasurementValue resource created
          content:
            application/json:
              schema: {}
            text/html:
              schema: {}
          links: {}
        '400':
          description: Invalid input
        '422':
          description: Unprocessable entity
      deprecated: false
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X POST \
             /subscription-measurements/batch \
             --header "Content-Type: application/json" \
             --header "Authorization: Bearer <token>" \
             --data '[]'
components:
  schemas:
    MeasurementValue.AddMeasurementValues:
      type: object
      description: ''
      deprecated: false
      properties:
        values:
          example:
            - subscription: 1QEHKTJY9097X91J78YRJEA9E8
              subscriptionItem: 1QEHKTJY9097X91J78YRJEA9E8
              measurementCode: used_traffic
              quantity: '1.09'
              measuredAt: '2021-01-01T00:00:00Z'
            - subscription: E1QEHKTJY9097X91J78YRJEA9E8
              subscriptionItem: A1QEHKTJY9097X91J78YRJEA9E8
              measurementCode: quantity
              quantity: '1'
              measuredAt: '2021-01-01T00:00:00Z'
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````